#coding: utf-8

import hashlib
import psutil


def collect():    
    result = {}
    net_counters = psutil.net_io_counters(pernic=True)

    for iface_id in net_counters.keys():
        m = hashlib.md5()
        m.update(iface_id)
        name_hash = m.hexdigest()

        result[name_hash] = {
            'interface': iface_id
        }

    return result
